## shared-desktop-ontologies 0.6.0

=== CMakeLists.txt ===
# required by cmake
cmake_minimum_required(VERSION 2.6)

project(shared-desktop-ontologies NONE)


# set the version to be used by SharedDesktopOntologiesConfig.cmake
# ===============================================================================================
set(SHAREDDESKTOPONTOLOGIES_VERSION_MAJOR 0)
set(SHAREDDESKTOPONTOLOGIES_VERSION_MINOR 6)
set(SHAREDDESKTOPONTOLOGIES_VERSION_RELEASE 0)
set(SHAREDDESKTOPONTOLOGIES_VERSION "${SHAREDDESKTOPONTOLOGIES_VERSION_MAJOR}.${SHAREDDESKTOPONTOLOGIES_VERSION_MINOR}.${SHAREDDESKTOPONTOLOGIES_VERSION_RELEASE}")


# set the root dir to be used by SharedDesktopOntologiesConfig.cmake
# ===============================================================================================
set(SHAREDDESKTOPONTOLOGIES_ROOT_DIR "${CMAKE_INSTALL_PREFIX}/share/ontology")


# generate SharedDesktopOntologiesConfig.cmake for easy utilisation of the package by other cmake build systems
# ===============================================================================================
configure_file(SharedDesktopOntologiesConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/SharedDesktopOntologiesConfig.cmake @ONLY)
configure_file(SharedDesktopOntologiesConfigVersion.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/SharedDesktopOntologiesConfigVersion.cmake @ONLY)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/SharedDesktopOntologiesConfig.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/SharedDesktopOntologiesConfigVersion.cmake
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/cmake/SharedDesktopOntologies)


# optionally install the pkgconfig stuff
# ===============================================================================================
if(NOT WIN32)
  set(PKGCONFIG_INSTALL_DIR "share/pkgconfig/" CACHE STRING "Base directory for pkgconfig files")
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/shared-desktop-ontologies.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/shared-desktop-ontologies.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/shared-desktop-ontologies.pc DESTINATION ${PKGCONFIG_INSTALL_DIR})
endif(NOT WIN32)


# finally install all the ontologies
# ===============================================================================================
macro(INSTALL_ONTOLOGY _name _group)
  set(ONTO_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/ontology/${_group})
  configure_file("${_name}.trig.in" "${CMAKE_CURRENT_BINARY_DIR}/${_name}.trig")
  configure_file("${_name}.ontology.in" "${CMAKE_CURRENT_BINARY_DIR}/${_name}.ontology")
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${_name}.ontology" DESTINATION ${ONTO_INSTALL_DIR})
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${_name}.trig" DESTINATION ${ONTO_INSTALL_DIR})
endmacro(INSTALL_ONTOLOGY)

# base ontologies
install_ontology(base/rdf core)
install_ontology(base/rdfs core)

option(ENABLE_DCMI
       "enable DCMI ontologies. This installs DCMI ontologies (http://dublincore.org/)." ON)
if(ENABLE_DCMI)
  install_ontology(base/dcterms dc)
  install_ontology(base/dctype dc)
  install_ontology(base/dces dc)
endif(ENABLE_DCMI)

# Nepomuk base ontologies
install_ontology(nrl/nrl nepomuk)
install_ontology(nao/nao nepomuk)

# NIE
install_ontology(nie/nie nie)
install_ontology(nfo/nfo nie)
install_ontology(ncal/ncal nie)
install_ontology(nmo/nmo nie)
install_ontology(nco/nco nie)
install_ontology(nexif/nexif nie)
install_ontology(nmm/nmm nie)
install_ontology(nid3/nid3 nie)

# Nepomuk extras
install_ontology(pimo/pimo pimo)
install_ontology(tmo/tmo pimo)
install_ontology(nso/nso nepomuk)
install_ontology(ndo/ndo nepomuk)
install_ontology(nuao/nuao nepomuk)

## shared-desktop-ontologies 0.5

=== debian/changelog ===
shared-desktop-ontologies (0.5-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Add myself to uploaders.
  * Add "DM-Upload-Allowed: yes" in control.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Sat, 12 Jun 2010 16:06:52 +0200

shared-desktop-ontologies (0.4-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Switch to format "3.0 (quilt)".
  * Set the compression to bzip2.
  * Expand the description a bit more.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Thu, 06 May 2010 22:07:34 +0200

shared-desktop-ontologies (0.3-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Drop patch 01_licenses, as LICENSE.w3c is not shipped in the upstream
    sources.
  * Remove the Build-Depend on quilt and the usage of the quilt dh addon,
    no more needed now.
  * Add a watch file.
  * Bump Standards-Version to 3.8.4, no changes required.
  * Remove ${shlibs:Depends} from shared-desktop-ontologies, as it is arch:all.
  * Update copyright.
  * Add the Homepage, Vcs-Svn, and Vcs-Browser fields in control.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Mon, 22 Mar 2010 23:34:01 +0200

shared-desktop-ontologies (0.2.0-1) unstable; urgency=low

  * Steal package from ubuntu. Thanks.
  * Move the 'add licenses' patches into quilt
  * Update copyright file, including full cc-by text and noticing it 
    cc-by 3.0
  * Don't use pkg-kde-tools, it is not needed here.

 -- Sune Vuorela <debian@pusling.com>  Mon, 21 Dec 2009 00:13:15 +0100

shared-desktop-ontologies (0.2.0~repack1-0ubuntu1) lucid; urgency=low

  * Initial release
  * Repack tarball:
    - Add base/LICENSE to declare the CC-By license used by the DCMI
    - Add base/LICENSE.W3C to declare the BSD licence used by the W3C

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 01 Dec 2009 12:33:12 -0500

=== debian/control ===
Source: shared-desktop-ontologies
Section: misc
Priority: optional
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Pino Toscano <pino@kde.org>
Build-Depends: debhelper (>= 7), cmake
Standards-Version: 3.8.4
Homepage: http://oscaf.sourceforge.net
Vcs-Svn: svn://svn.debian.org/pkg-kde/krap/shared-desktop-ontologies/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/krap/shared-desktop-ontologies/trunk/
DM-Upload-Allowed: yes

Package: shared-desktop-ontologies
Architecture: all
Depends: ${misc:Depends}
Description: shared ontologies for semantic searching
 This package provides a set of metadata ontologies in TRIG format for use
 in semantic searching for the desktop.
 .
 It contains the well known core ontologies such as RDF and RDFS as well as
 the Nepomuk ontologies which are used by projects like KDE and Strigi.

## shared-desktop-ontologies 0.6.0

=== debian/changelog ===
shared-desktop-ontologies (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Change the Vcs-* headers to the new Git repository location.
  * Bump Standards-Version to 3.9.1, no changes required.
  * Bump the cmake build dependency to what is specified in the upstream
    CMakeLists.txt (i.e. 2.6).

 -- Pino Toscano <pino@kde.org>  Mon, 07 Mar 2011 11:47:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Pino Toscano <pino@kde.org>
-Build-Depends: debhelper (>= 7), cmake
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), cmake (>= 2.6)
+Standards-Version: 3.9.1
 Homepage: http://oscaf.sourceforge.net
-Vcs-Svn: svn://svn.debian.org/pkg-kde/krap/shared-desktop-ontologies/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/krap/shared-desktop-ontologies/trunk/
+Vcs-Git: git://git.debian.org/pkg-kde/krap/shared-desktop-ontologies.git
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/krap/shared-desktop-ontologies.git
 DM-Upload-Allowed: yes
 
 Package: shared-desktop-ontologies

## shared-desktop-ontologies 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # set the version to be used by SharedDesktopOntologiesConfig.cmake
 # ===============================================================================================
 set(SHAREDDESKTOPONTOLOGIES_VERSION_MAJOR 0)
-set(SHAREDDESKTOPONTOLOGIES_VERSION_MINOR 6)
+set(SHAREDDESKTOPONTOLOGIES_VERSION_MINOR 7)
 set(SHAREDDESKTOPONTOLOGIES_VERSION_RELEASE 0)
 set(SHAREDDESKTOPONTOLOGIES_VERSION "${SHAREDDESKTOPONTOLOGIES_VERSION_MAJOR}.${SHAREDDESKTOPONTOLOGIES_VERSION_MINOR}.${SHAREDDESKTOPONTOLOGIES_VERSION_RELEASE}")

=== debian/changelog ===
shared-desktop-ontologies (0.7.0-0ubuntu1) oneiric; urgency=low

  * New upstrem release 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 10 Jun 2011 21:43:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: shared-desktop-ontologies
 Section: misc
 Priority: optional
-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Pino Toscano <pino@kde.org>
 Build-Depends: debhelper (>= 7), cmake (>= 2.6)
 Standards-Version: 3.9.1

## shared-desktop-ontologies 0.8.1

=== CMakeLists.txt ===
# required by cmake
cmake_minimum_required(VERSION 2.6)

project(shared-desktop-ontologies NONE)


# set the version to be used by SharedDesktopOntologiesConfig.cmake
# ===============================================================================================
set(SHAREDDESKTOPONTOLOGIES_VERSION_MAJOR 0)
set(SHAREDDESKTOPONTOLOGIES_VERSION_MINOR 8)
set(SHAREDDESKTOPONTOLOGIES_VERSION_RELEASE 1)
set(SHAREDDESKTOPONTOLOGIES_VERSION "${SHAREDDESKTOPONTOLOGIES_VERSION_MAJOR}.${SHAREDDESKTOPONTOLOGIES_VERSION_MINOR}.${SHAREDDESKTOPONTOLOGIES_VERSION_RELEASE}")


# set the root dir to be used by SharedDesktopOntologiesConfig.cmake
# ===============================================================================================
set(SHAREDDESKTOPONTOLOGIES_ROOT_DIR "${CMAKE_INSTALL_PREFIX}/share/ontology")

# find packages needed to generate the documentation
# ===============================================================================================
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
find_package(DocBookXSLNS)

# generate SharedDesktopOntologiesConfig.cmake for easy utilisation of the package by other cmake build systems
# ===============================================================================================
configure_file(SharedDesktopOntologiesConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/SharedDesktopOntologiesConfig.cmake @ONLY)
configure_file(SharedDesktopOntologiesConfigVersion.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/SharedDesktopOntologiesConfigVersion.cmake @ONLY)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/SharedDesktopOntologiesConfig.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/SharedDesktopOntologiesConfigVersion.cmake
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/cmake/SharedDesktopOntologies)


# optionally install the pkgconfig stuff
# ===============================================================================================
if(NOT WIN32)
  set(PKGCONFIG_INSTALL_DIR "share/pkgconfig/" CACHE STRING "Base directory for pkgconfig files")
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/shared-desktop-ontologies.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/shared-desktop-ontologies.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/shared-desktop-ontologies.pc DESTINATION ${PKGCONFIG_INSTALL_DIR})
endif(NOT WIN32)


# install all the ontologies
# ===============================================================================================
macro(INSTALL_ONTOLOGY _dir _name _group)
  # the basic stuff
  set(ONTO_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/ontology/${_group})
  configure_file("${_dir}/${_name}.trig.in" "${CMAKE_CURRENT_BINARY_DIR}/${_dir}/${_name}.trig")
  configure_file("${_dir}/${_name}.ontology.in" "${CMAKE_CURRENT_BINARY_DIR}/${_dir}/${_name}.ontology")

  # the documentation with a bit of hacky magic
  if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_dir}/${_name}-main.docbook)
    # we need to copy over the docbook files to make sure xsltproc finds the includes
    configure_file("${_dir}/${_name}-main.docbook" "${CMAKE_CURRENT_BINARY_DIR}/docs/${_name}-main.docbook")
    configure_file("${_dir}/${_name}-authors.docbook" "${CMAKE_CURRENT_BINARY_DIR}/docs/${_name}-authors.docbook")

    # remember a few things in lists so we can reuse them later on when building the html pages
    list(APPEND ontology_trig_sources "${CMAKE_CURRENT_BINARY_DIR}/${_dir}/${_name}.trig")
    list(APPEND ontology_docbook_references "${CMAKE_CURRENT_BINARY_DIR}/docs/${_name}-reference.docbook")
  endif()
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${_dir}/${_name}.ontology" DESTINATION ${ONTO_INSTALL_DIR})
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${_dir}/${_name}.trig" DESTINATION ${ONTO_INSTALL_DIR})
endmacro(INSTALL_ONTOLOGY)

# base ontologies
install_ontology(base rdf core)
install_ontology(base rdfs core)

option(ENABLE_DCMI
       "enable DCMI ontologies. This installs DCMI ontologies (http:  dublincore.org )." ON)
if(ENABLE_DCMI)
  install_ontology(base dcterms dc)
  install_ontology(base dctype dc)
  install_ontology(base dces dc)
endif(ENABLE_DCMI)

# Nepomuk base ontologies
install_ontology(nrl nrl nepomuk)
install_ontology(nao nao nepomuk)

# NIE
install_ontology(nie nie nie)
install_ontology(nfo nfo nie)
install_ontology(ncal ncal nie)
install_ontology(nmo nmo nie)
install_ontology(nco nco nie)
install_ontology(nexif nexif nie)
install_ontology(nmm nmm nie)
install_ontology(nid3 nid3 nie)

# Nepomuk extras
install_ontology(pimo pimo pimo)
install_ontology(tmo tmo pimo)
install_ontology(nso nso nepomuk)
install_ontology(ndo ndo nepomuk)
install_ontology(nuao nuao nepomuk)


# Generate the documentation
# Caution: we need to put this command at the end since it depends on the ontology_docbook_references variable which
# is only populated by the install_ontology calls above
# ===============================================================================================
file(GLOB_RECURSE _doc_files_the_hacky_way_ "${CMAKE_CURRENT_SOURCE_DIR}/*.png")
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/docs/ontology.docbook.template ${CMAKE_CURRENT_BINARY_DIR}/docs/ontology.docbook.template @ONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/docs/sdo.docbook ${CMAKE_CURRENT_BINARY_DIR}/docs/sdo.docbook)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/docs/sdo-docbook.xsl.cmake ${CMAKE_CURRENT_BINARY_DIR}/docs/sdo-docbook.xsl)
add_custom_target(
  docsprep
  COMMENT "Preparing Ontology Documentation Files..."
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  COMMAND mkdir -p ${CMAKE_CURRENT_BINARY_DIR}/docs/html
  COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/docs/sdo.css ${CMAKE_CURRENT_BINARY_DIR}/docs/html
  COMMAND cp ${_doc_files_the_hacky_way_} ${CMAKE_CURRENT_BINARY_DIR}/docs/html
)
add_custom_target(
  docrefs
  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/docs/build-ontology-reference.py ${ontology_trig_sources}
  COMMENT "Writing Ontology References..."
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/docs
)
add_custom_target(
  docs
  COMMAND xsltproc --xinclude ${CMAKE_CURRENT_BINARY_DIR}/docs/sdo-docbook.xsl ${CMAKE_CURRENT_BINARY_DIR}/docs/sdo.docbook
  COMMENT "Writing Ontology Documentation..."
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/docs
)
add_dependencies(docrefs docsprep)
add_dependencies(docs docrefs)

=== debian/changelog ===
shared-desktop-ontologies (0.8.1-1) experimental; urgency=low

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Nov 2011 10:47:38 +0100

shared-desktop-ontologies (0.8.0-1) experimental; urgency=low

  * New upstream release.
  * Rework copyright:
    - switch it to DEP5, r174
    - massively update it and be more specific with licenses and copyrights

 -- Pino Toscano <pino@debian.org>  Thu, 01 Sep 2011 16:57:18 +0200

shared-desktop-ontologies (0.7.1-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release.

  [ Pino Toscano ]
  * Switch my address to @debian.org, I'm a DD now.
  * Remove "DM-Upload-Allowed" from control, no more needed now.
  * Bump Standards-Version to 3.9.2, no changes required.
  * Update copyright.
  * Do not compress the debian tar with bzip2, as the gain is basically none.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Sat, 13 Aug 2011 00:48:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: shared-desktop-ontologies
 Section: misc
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <debian@pusling.com>, Pino Toscano <pino@kde.org>
+Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <debian@pusling.com>, Pino Toscano <pino@debian.org>
 Build-Depends: debhelper (>= 7), cmake (>= 2.6)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://oscaf.sourceforge.net
 Vcs-Git: git://git.debian.org/pkg-kde/krap/shared-desktop-ontologies.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/krap/shared-desktop-ontologies.git
-DM-Upload-Allowed: yes
 
 Package: shared-desktop-ontologies
 Architecture: all

## shared-desktop-ontologies 0.10.0

=== debian/changelog ===
shared-desktop-ontologies (0.10.0-1) unstable; urgency=low

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Jun 2012 21:15:55 +0200

shared-desktop-ontologies (0.9.0-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.3, no changes required.
  * Switch copyright to copyright-format v1.0.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Apr 2012 18:55:27 +0200

shared-desktop-ontologies (0.9.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sun, 04 Mar 2012 21:19:20 +0100

shared-desktop-ontologies (0.9.0-1) experimental; urgency=low

  * New upstream release.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Mon, 13 Feb 2012 00:55:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Pino Toscano <pino@debian.org>
 Build-Depends: debhelper (>= 7), cmake (>= 2.6)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://oscaf.sourceforge.net
 Vcs-Git: git://git.debian.org/pkg-kde/krap/shared-desktop-ontologies.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/krap/shared-desktop-ontologies.git

## shared-desktop-ontologies 0.11.0

=== debian/changelog ===
shared-desktop-ontologies (0.11.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Update Vcs-* headers.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Jun 2013 14:18:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Pino Toscano <pino@debian.org>
 Build-Depends: debhelper (>= 7), cmake (>= 2.6)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://oscaf.sourceforge.net
-Vcs-Git: git://git.debian.org/pkg-kde/krap/shared-desktop-ontologies.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/krap/shared-desktop-ontologies.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/shared-desktop-ontologies.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/shared-desktop-ontologies.git
 
 Package: shared-desktop-ontologies
 Architecture: all

=== debian/watch ===
version=3

http://sf.net/oscaf/shared-desktop-ontologies-(.*)\.tar\.bz2
